Gift cards you can sell
curl --request GET \
--url https://merchant.bitliva.com/api/v1/giftcards \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://merchant.bitliva.com/api/v1/giftcards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://merchant.bitliva.com/api/v1/giftcards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://merchant.bitliva.com/api/v1/giftcards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "Gift cards retrieved successfully.",
"data": {
"categories": [
{
"id": 3,
"name": "Amazon",
"image_url": "https://merchant.example.com/media/giftcards/3"
}
],
"countries": [
"US"
],
"forms": [
"physical"
],
"giftcards": [
{
"id": 12,
"category_id": 3,
"name": "Amazon USD",
"rate": "1180.00",
"minimum": "10.00",
"form": "physical",
"country": "US"
}
]
}
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}Gift cards
Gift cards you can sell
Cards with the naira rate per US dollar. minimum is in dollars.
GET
/
giftcards
Gift cards you can sell
curl --request GET \
--url https://merchant.bitliva.com/api/v1/giftcards \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://merchant.bitliva.com/api/v1/giftcards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://merchant.bitliva.com/api/v1/giftcards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://merchant.bitliva.com/api/v1/giftcards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "Gift cards retrieved successfully.",
"data": {
"categories": [
{
"id": 3,
"name": "Amazon",
"image_url": "https://merchant.example.com/media/giftcards/3"
}
],
"countries": [
"US"
],
"forms": [
"physical"
],
"giftcards": [
{
"id": 12,
"category_id": 3,
"name": "Amazon USD",
"rate": "1180.00",
"minimum": "10.00",
"form": "physical",
"country": "US"
}
]
}
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}{
"status": "error",
"message": "Invalid or missing API key.",
"code": "invalid_api_key"
}Authorizations
Your API key.
Query Parameters
Only cards in this category (ids come from categories in the response).
Only cards for this country, for example US (not case sensitive).
Only cards of this form, for example physical or ecode (not case sensitive).

